void main( void )
{
sp_hitpoints(&current_sprite, 30);

}



void talk( void )
{

int &mcrap = count_item("item-bt");

 freeze(1);
 freeze(&current_sprite);
 choice_start();
        set_y 240
        set_title_color 5
        title_start();
"I'm a cobbler/pharmacist.  I make
special herb boots.  When the herb
touches your skin, you'll want to
dance and be hyper."
        title_end();
(&mcrap == 0) "买这双鞋($500)s1-boot.c"
(&mcrap == 0) "价格太高了"
(&mcrap != 0) "价格太高了"
"离开"
 choice_end();

if (&result == 2)
  {
  wait(300);
  say_stop("嘿嘿， 我只用了一金币就买下了我脚上这双鞋。", 1);
  wait(300);
  say_stop("`5便宜没好货吧。", &current_sprite);
  wait(300);
  say_stop("你卖得多吗？", 1);
  wait(300);
  say_stop("`5从来都没卖掉一双。", &current_sprite);
  wait(300);
  say_stop("......鄙视你！", 1);
  }

if (&result == 3)
  {
  wait(300);
  say_stop("这么贵？找死啊？", 1);
  wait(300);
  say_stop("`5那么...2金币呢？", &current_sprite);
  wait(300);
  say_stop("太棒了！  我要...嘿！！！", 1);
  wait(300);
  say_stop("我已经按原价买了一双了！！", 1);
  wait(300);
  say_stop("`5真遗憾。", &current_sprite);
  wait(300);
  say_stop("我要退货我要退货。", 1);
  wait(300);
  say_stop("`5而我要你离开。", &current_sprite);
  }


  if (&result == 1)
    {
     if (&gold < 500)
       {
        say("晕，居然没钱！", 1);
       }
       else
       {

int &junk = free_items();


if (&junk < 1)
 {
         choice_start()
        set_y 240
        title_start();
带不动了
        title_end();
         "好"
         choice_end()
unfreeze(1);
unfreeze(&current_sprite);

 return;
 }



        say("`0* 买下超级鞋鞋 *", 1);
         playsound(43, 22050,0,0,0);
         &gold -= 500;
 add_item("item-bt",438, 22);
       
       }
    }

unfreeze(1);
unfreeze(&current_sprite);


}

void hit( void )
{
say("`5救命啊!!有人要谋杀了!", &current_sprite);

}
